--[[
	MOD/lua/nospread-m9k.lua [#1693 (#1742), 947782885, UID:731540997]
	hrst | STEAM_0:1:89973919 <2.51.85.155:27005> | [12.06.14 04:40:00PM]
	===BadFile===
]]

	

    --No Spread
    local NoSpreadOn = false
     
    concommand.Add( "+cr_nospread", function( _, _, args )
     
            NoSpreadOn = true
           
    end )
     
    concommand.Add( "-cr_nospread", function()
     
            NoSpreadOn = false
           
    end )
     
    hook.Add( "Think", "CR_NoSpread:D", function()
           
            local ply = LocalPlayer()
            local w = ply:GetActiveWeapon()
           
            if( NoSpreadOn ) then
				
					if ( w.Primary ) then w.Primary.Spread = 0 end
					if ( w.Secondary ) then w.Secondary.Spread = 0 end
					if ( w.Primary ) then w.Primary.KickHorizontal = 0 end
                    if ( w.Secondary ) then w.Secondary.KickHorizontal = 0 end
					if ( w.Primary ) then w.Primary.KickDown = 0 end
					if ( w.Secondary ) then w.Secondary.KickDown = 0 end
					if ( w.Primary ) then w.Primary.KickUp = 0 end
                    if ( w.Secondary ) then w.Secondary.KickUp = 0 end
					if ( w.Primary ) then w.Primary.IronAccuracy = 0 end
					if ( w.Secondary ) then w.Secondary.IronAccuracy = 0 end
					if ( w.RunSightsPos ) then w.RunSightsPos = Vector(0, 0, 0) end
					if ( w.RunSightsAng ) then w.RunSightsAng = Vector(-25.577, 0, 0) end
            else
           

					if ( w.Primary ) then w.Primary.KickHorizontal = 0 end
                    if ( w.Secondary ) then w.Secondary.KickHorizontal = 0 end
					if ( w.Primary ) then w.Primary.KickDown = 0 end
					if ( w.Secondary ) then w.Secondary.KickDown = 0 end
					if ( w.Primary ) then w.Primary.KickUp = 0 end
                    if ( w.Secondary ) then w.Secondary.KickUp = 0 end
                   
            end
           
    end )
